<?php require_once('../Connections/paivaconex.php'); 
require_once('funcoes.php'); 
?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

if ((isset($_GET['del'])) && ($_GET['del'] != "")) {
  $deleteSQL = sprintf("DELETE FROM mfin_recebimentos WHERE Id=%s",
                       GetSQLValueString($_GET['del'], "int"));

  mysql_select_db($database_paivaconex, $paivaconex);
  $Result1 = mysql_query($deleteSQL, $paivaconex) or die(mysql_error());
}


//USING
require_once 'controls/verifylogin.php';


//Filtros de Select

$Result1 ='WHERE  mfin_recebimentos.Id=0';

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form2")) {
  
	if ($_POST['rec_emissao_min'] != "") { $quando[] = "Emissao >= '".convertdata($_POST['rec_emissao_min'])."'"; }
	if ($_POST['rec_emissao_max'] != "") { $quando[] = "Emissao <= '".convertdata($_POST['rec_emissao_max'])."'"; }
	if ($_POST['pasta'] != "") { $quando[] = "mfin_pastas.Numero LIKE '%".$_POST['pasta']."%'"; }
	if ($_POST['detalhe'] != "") { $quando[] = "mfin_recebimentos.Detalhe LIKE '%".$_POST['detalhe']."%'"; }
 
                      

	if (isset($quando)){  
  $Result1 = "WHERE ".implode( " AND ", $quando);
	}else{
		$Result1= '';}
	
}


if (isset($_GET['data_ini'])) {

	if (isset($_GET['data_ini'])) { $quando[] = "if(Recebimento <> '0', Recebimento, Vencimento) = '".convertdata($_GET['data_ini'])."'"; }
	if (isset($_GET['Grupo'])) { $quando[] = "mfin_contas.Grupo = ".$_GET['Grupo'].""; }
	if (isset($_GET['tabela'])) { $quando[] = "mfin_recebimentos.Tipo ".$_GET['tabela'].""; }
	if (isset($_GET['ContaResultado'])) { $quando[] = "ContaResultado = ".$_GET['ContaResultado'].""; }
  
  $Result1 = "WHERE ".implode( " AND ", $quando);
	

}



//Select
mysql_select_db($database_paivaconex, $paivaconex);
$query_clientes = "Select SUM(Multa - Desconto - ir - pis - cofins - csll + Valor - outros - outros2- outros3 - 0 + Juros) AS vl , DATE_FORMAT(Emissao, '%d/%m/%Y') as dt_rec, mfin_recebimentos.Detalhe AS rec_det, mfin_pastas.Numero As pasta_det
from mfin_recebimentos
Inner Join mfin_clientes ON Cliente_Id = mfin_clientes.Id
Left Join mfin_pastas ON Pasta_Id = mfin_pastas.Id
Inner Join mfin_contas ON ContaResultado=mfin_contas.Id 
Inner Join mfin_tiposrecebimentos ON mfin_recebimentos.Tipo=mfin_tiposrecebimentos.Id 
".$Result1." GROUP BY Emissao,  mfin_recebimentos.Detalhe, mfin_pastas.Numero";
$clientes = mysql_query($query_clientes, $paivaconex) or die(mysql_error());
$row_clientes = mysql_fetch_assoc($clientes);
$totalRows_clientes = mysql_num_rows($clientes);





?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>
<script src="js/jquery-1.8.3.min.js" type="text/javascript"></script>
<script src="js/jquery.maskedinput-1.3.min.js" type="text/javascript"></script>
<script>
        jQuery(function($){
		   $("input[name=rec_recebimento_min]").mask("99/99/9999");
		   $("input[name=rec_recebimento_max]").mask("99/99/9999");
		   $("input[name=rec_vencimento_min]").mask("99/99/9999");
		   $("input[name=rec_vencimento_max]").mask("99/99/9999");
		   $("input[name=rec_emissao_min]").mask("99/99/9999");
		   $("input[name=rec_emissao_max]").mask("99/99/9999");
		   
		   
		 });
        
</script>



<?php include_once('controls/import.php'); ?>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Recebimentos</div>


    
    <form action="" method="post" name="form2" id="form2">
        <table align="center">
          <tr>
            <td width="91">Emiss&atilde;o:</td>
            <td width="292">De:
            <input type="text" name="rec_emissao_min" id="rec_emissao_min" /></td>
            <td width="290">Ate:
            <input type="text" name="rec_emissao_max" id="rec_emissao_max" /></td>
          </tr>
          <tr>
            <td>Numero Pasta:</td>
            <td colspan="2">
            <input name="pasta" type="text" id="cli_nome" size="80" /></td>
          </tr>
          <tr>
            <td>Guia ou Descricao:</td>
            <td colspan="2">
            <input name="detalhe" type="text" id="detalhe" size="80"  /></td>
          </tr>
        </table>
        <p>
          <input type="submit" name="pesquisa" id="pesquisa" value="Pesquisar" />
        </p>
        <p>&nbsp;</p>
        <input type="hidden" name="MM_insert" value="form2" />
      </form>

<br clear="all" />
<table border="0" cellpadding="3" cellspacing="0"
	class="gridPesquisa fundoGridPesquisa" width="100%">
	<tr>
		<th>Pasta</th>
		<th>Detalhe</th>
		<th>Valor</th>
		<th>Data Emiss&atilde;o</th>
		<th></th>
	</tr>

	<?php
$juros = 0;
	do {

		echo "<tr>";
		
		echo "<td> <a href='cadrecebimentos_multi_alt_cad.php?pasta_det=".$row_clientes['pasta_det']."&rec_det=".md5($row_clientes['rec_det'])."&dt_rec=".$row_clientes['dt_rec']."'> ".$row_clientes['pasta_det']." </a></td>";
		echo "<td> <a href='cadrecebimentos_multi_alt_cad.php?pasta_det=".$row_clientes['pasta_det']."&rec_det=".md5($row_clientes['rec_det'])."&dt_rec=".$row_clientes['dt_rec']."'> ".$row_clientes['rec_det']." </a></td>";
		echo "<td> <a href='cadrecebimentos_multi_alt_cad.php?pasta_det=".$row_clientes['pasta_det']."&rec_det=".md5($row_clientes['rec_det'])."&dt_rec=".$row_clientes['dt_rec']."'> ".number_format($row_clientes['vl'],2,',','.')." </a></td>";
		echo "<td> <a href='cadrecebimentos_multi_alt_cad.php?pasta_det=".$row_clientes['pasta_det']."&rec_det=".md5($row_clientes['rec_det'])."&dt_rec=".$row_clientes['dt_rec']."'> ".$row_clientes['dt_rec']." </a></td>"; 	
		echo "</tr>";
	

	} while ($row_clientes = mysql_fetch_assoc($clientes));

	?>
    
</table>
</div>

</div>

</div>

	<?php include_once('controls/footer.php'); ?>

</body>
</html>
